Bug 610298 - missing patches from -stable
missing patches from -stable
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 20:16 EDT by Michał Piotrowski
Modified: 2010-11-14 05:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-13 09:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michał Piotrowski 2010-07-01 20:16:11 EDT
Description of problem:
Hi,

Some of the patches, which are in the -stable tree are not present in RHEL kernel 2.6.32-37.

Here are examples

2.6.32.2

http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/x86-asus-p4s800-reboot-bios-quirk.patch;h=1e80fca636cf51e8b507a55b8335a832ca34d23e;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/alsa-hda-terradici-hda-controllers-does-not-support-64-bit-mode.patch;h=f1852e69110e664ab2a8dd1872c048b60e886977;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/x86-prevent-gcc-4.4.x-pentium-mmx-et-al-function-prologue-wreckage.patch;h=982eaa0ff1e54c93257c0345fb90a9dd35bc12dc;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/jbd2-don-t-wipe-the-journal-on-a-failed-journal-checksum.patch;h=030f06c45fc92f9866660c4731fab6beb3e5d155;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/drm-radeon-kms-add-quirk-for-his-x1300-board.patch;h=b946fb2b43f85fabc52d775504aa856e7989974e;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/xen-register-runstate-info-for-boot-cpu-early.patch;h=d15412bb514cab4da420dc4ae6ea3eef4bbc4fe9;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/ipvs-zero-usvc-and-udest.patch;h=eba70703e174035afe337c23daf06a3c0aa2e7b4;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.2/intel-iommu-fix-oops-with-intel_iommu-igfx_off.patch;h=721ee5f7e3bce2d07eeef0e0e9121fdc6f6306d6;hb=HEAD

2.6.32.3
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/bluetooth-prevent-ill-timed-autosuspend-in-usb-driver.patch;h=6c7e5aa1b0cba877bd45bcf187bf637dcf438dac;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/x86-amd-iommu-fix-initialization-failure-panic.patch;h=1dba189948be8cd40a220718fa95d03863400b8e;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/mac80211-fix-wmm-ap-settings-application.patch;h=93f873b671194bb99e1999d1d22fd188b477d8b2;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/mac80211-fix-ibss-merge.patch;h=85468dc9b0a37c51175b77bdeaf62d1f8bf29de2;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/iwl3945-disable-power-save.patch;h=7a4773bbc933a43f8652acd3618c8aa817bfc8ed;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/v4l-dvb-13596-ov511.c-typo-lock-unlock.patch;h=99af476c96d65c3f76e3a818cb8c9afb0f919b2d;hb=HEAD
http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.3/rt2x00-disable-powersaving-for-rt61pci-and-rt2800pci.patch;h=469c6e46e34651d11b79ebb41dd269a0583d0280;hb=HEAD

It's is easy to find such patches using quilt:

quilt push
(if patch donesn't apply then - quilt delete -n)

Some of the patches are appling partialy.

Version-Release number of selected component (if applicable):
2.6.32-37

Expected results:
Patches included in the -stable tree should also be included in RHEL kernel.

Regards,
Michal
Comment 2 RHEL Product and Program Management 2010-07-01 20:43:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Michał Piotrowski 2010-07-11 20:53:27 EDT
Hundreds of patches are missing. I didn't checked 2.6.32.15 because I can't find patches in http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=tree;f=releases;h=2ce66b4adff128f90d28f2b740c616077e3493ea;hb=7ea34bf8a919c60946b62f502650ef4f89ef275c



2.6.32.2
x86-asus-p4s800-reboot-bios-quirk.patch
alsa-hda-terradici-hda-controllers-does-not-support-64-bit-mode.patch
x86-prevent-gcc-4.4.x-pentium-mmx-et-al-function-prologue-wreckage.patch
x86-use-maccumulate-outgoing-args-for-sane-mcount-prologues.patch
jbd2-don-t-wipe-the-journal-on-a-failed-journal-checksum.patch
drm-radeon-kms-add-quirk-for-his-x1300-board.patch
xen-register-runstate-info-for-boot-cpu-early.patch
ipvs-zero-usvc-and-udest.patch
intel-iommu-fix-oops-with-intel_iommu-igfx_off.patch

2.6.32.3
bluetooth-prevent-ill-timed-autosuspend-in-usb-driver.patch
x86-amd-iommu-fix-initialization-failure-panic.patch
mac80211-fix-wmm-ap-settings-application.patch
mac80211-fix-ibss-merge.patch
iwl3945-fix-panic-in-iwl3945-driver.patch
v4l-dvb-13596-ov511.c-typo-lock-unlock.patch
rt2x00-disable-powersaving-for-rt61pci-and-rt2800pci.patch

2.6.32.4
alsa-hda-fix-alc861-vd-capture-source-mixer.patch
netfilter-ebtables-enforce-cap_net_admin.patch
kernel-sysctl.c-fix-stable-merge-error-in-nommu-mmap_min_addr.patch

2.6.32.5
x86-apic-use-physical-mode-for-ibm-summit-platforms.patch
reiserfs-truncate-blocks-not-used-by-a-write.patch
sparc64-fix-nmi-programming-when-perf-events-are-active.patch
sparc64-fix-niagara2-perf-event-handling.patch

2.6.32.6
staging-asus_oled-fix-oops-in-2.6.32.2.patch
staging-hv-fix-smp-problems-in-the-hyperv-core-code.patch
usb-add-speed-values-for-usb-3.0-and-wireless-controllers.patch
block-bdev_stack_limits-wrapper.patch

2.6.32.7
clockevents-add-missing-include-to-pacify-sparse.patch
davinci-dm646x-add-support-for-3.x-silicon-revision.patch
lpfc-fix-hang-on-sgi-ia64-platform.patch
qlge-set-pcie-max-read-request-size.patch
input-i8042-add-gigabyte-m1022m-to-the-noloop-list.patch
input-i8042-add-dritek-quirk-for-acer-aspire-5610.patch
mac80211-check-that-ieee80211_set_power_mgmt-only-handles-sta-interfaces.patch
kvm-s390-fix-potential-array-overrun-in-intercept-handling.patch

2.6.32.8
s390-fix-single-stepped-svcs-with-trace_irqflags-y.patch
x86-remove-x86-cpu-features-in-debugfs-config_x86_cpu_debug.patch
acpi-add-a-generic-api-for-_osc-v2.patch
acpi-add-platform-wide-_osc-support.patch
acpi-fix-osc-regression-that-caused-aer-and-pciehp-not-to-load.patch
acpi-advertise-to-bios-in-_osc-_ost-on-_ppc-changes.patch
drm-i915-reload-hangcheck-timer-too-for-ironlake.patch
fix-a-leak-in-affs_fill_super.patch
fix-failure-exits-in-bfs_fill_super.patch
fix-oops-in-fs-9p-late-mount-failure.patch
fix-leak-in-romfs_fill_super.patch
fix-remount-races-with-symlink-handling-in-affs.patch
fix-affs-parse_options.patch
sparc-tif_abi_pending-bit-removal.patch
x86-add-dell-optiplex-760-reboot-quirk.patch
clocksource-fix-compilation-if-no-generic_time.patch
ax25-netrom-rose-fix-timer-oopses.patch
usb-r8a66597-hdc-disable-interrupts-fix.patch
mm-flush-dcache-before-writing-into-page-to-avoid-alias.patch
imxfb-correct-location-of-callbacks-in-suspend-and-resume.patch
mx3fb-some-debug-and-initialisation-fixes.patch
uartlite-fix-crash-when-using-as-console.patch

2.6.32.9
futex-handle-user-space-corruption-gracefully.patch
usb-r8a66597-hcd-flush-the-d-cache-for-the-pipe-in-transfer-buffers.patch
cciss-make-cciss_seq_show-handle-holes-in-the-h-drv-array.patch
resource-add-helpers-for-fetching-rlimits.patch
export-the-symbol-of-getboottime-and-mmonotonic_to_bootbased.patch
dev-mem-introduce-size_inside_page.patch
devmem-check-vmalloc-address-on-kmem-read-write.patch
devmem-fix-kmem-write-bug-on-memory-holes.patch
sh-couple-kernel-and-user-write-page-perm-bits-for-config_x2tlb.patch
befs-fix-leak.patch
call-flush_dcache_page-after-pio-data-transfers-in-libata-sff.c.patch
ahci-add-acer-g725-to-broken-suspend-list.patch
staging-fix-rtl8187se-compilation-errors-with-mac80211.patch
acpi-add-null-pointer-check-in-acpi_bus_start.patch
ecryptfs-add-getattr-function.patch
iwlwifi-fix-to-set-correct-ht-configuration.patch

2.6.32.10
arm-5944-1-scsi-fix-timer-setup-in-fas216.c.patch
bfin-fix-max-timeout-calculation.patch
v4l-dvb-video-pwc-fix-regression-in-pwc_set_shutter_speed-caused-by-bad-constant-sizeof-conversion.patch
memcg-fix-oom-killing-a-child-process-in-an-other-cgroup.patch
thinkpad-acpi-wrong-thermal-attribute_group-removed-in-thermal_exit.patch
sparc-align-clone-and-signal-stacks-to-16-bytes.patch
sparc32-fix-page_to_phys.patch
sparc32-fix-struct-stat-uid-gid-types.patch
sparc-leds_resource.end-assigned-to-itself-in-clock_board_probe.patch
sparc64-fix-sun4u-execute-bit-check-in-tsb-i-tlb-load.patch
drivers-net-ks8851_mll-ethernet-network-driver.patch
clocksource-fix-up-a-registration-irq-race-in-the-sh-drivers.patch
qla1280-drop-host_lock-while-requesting-firmware.patch
staging-hv-add-a-pci-device-table.patch
staging-hv-match-on-dmi-values-to-know-if-we-should-run.patch
staging-mimio-remove-the-mimio-driver.patch
dvb-core-fix-dos-bug-in-ule-decapsulation-code-that-can-be-triggered-by-an-invalid-payload-pointer.patch
v4l-dvb-13148-uvcvideo-handle-v4l2_ctrl_type_button-control-type-in-vidioc_queryctrl.patch
macintosh-therm_adt746x-fix-sysfs-attributes-lifetime.patch
macintosh-hwmon-ams-fix-device-removal-sequence.patch
alsa-via82xx-add-quirk-for-d1289-motherboard.patch
asoc-fix-ak4104-register-array-access.patch
serial-imx-fix-null-dereference-oops-when-pdata-null.patch
usb-fix-i2c-api-usage-in-ohci-pnx4008.patch
gpiolib-actually-set-output-state-in-wm831x_gpio_direction_output.patch
sunxvr500-additional-pci-id-for-sunxvr500-driver.patch
ocfs2-only-bug-out-in-direct-io-write-for-reflinked-extent.patch
x86-ia32_aout-do-not-kill-argument-mapping.patch
x86-add-imac9-1-to-pci_reboot_dmi_table.patch
usb-fix-the-idproduct-value-for-usb-3.0-root-hubs.patch
usb-fix-crash-in-uhci_scan_schedule.patch
sunrpc-handle-einval-error-returns-from-the-tcp-connect-operation.patch
s3cmci-s3cmci_card_present-use-no_detect-to-decide-whether-there-is-a-card-detect-pin.patch
rtc-coh901331-fix-braces-in-resume-code.patch
sched-fix-sched_mv_power_savings-for-smt.patch

2.6.32.11
decompress-fix-new-decompressor-for-pic.patch
arm-fix-decompressor-s-kernel-size-estimation-for-rom-y.patch
mips-cleanup-forgotten-label_module_alloc-in-tlbex.c.patch
timekeeping-prevent-oops-when-generic_time-n.patch
input-i8042-add-aldi-medion-netbook-e1222-to-qurik-reset-table.patch
tracing-disable-buffer-switching-when-starting-or-stopping-trace.patch
tracing-do-not-record-user-stack-trace-from-nmi-context.patch
sparc64-make-prom-entry-spinlock-nmi-safe.patch
sysctl-require-cap_sys_rawio-to-set-mmap_min_addr.patch
ath9k-fix-lockdep-warning-when-unloading-module.patch
alsa-cmipci-work-around-invalid-pcm-pointer.patch
tmpfs-handle-mpol_local-mount-option-properly.patch
usb-xhci-re-initialize-cmd_completion.patch
usb-r8a66597-hcd-fix-removed-from-an-attached-hub.patch
rt2860sta-fix-argument-to-linux_pci_unmap_single.patch
leds-gpio-fix-default-state-handling-on-of-platforms.patch
bluetooth-fix-kernel-crash-on-l2cap-stress-tests.patch
sh-fix-zimage-boot-using-fixed-pmb.patch
s3cmci-initialize-default-platform-data-no_wprotect-and-no_detect-with-1.patch

2.6.32.12
fat-fix-buffer-overflow-in-vfat_create_shortname.patch
sh-enable-the-mmu-in-start_secondary.patch
sh-fix-fdpic-binary-loader.patch
freezer-fix-buggy-resume-test-for-tasks-frozen-with-cgroup-freezer.patch
mac80211-tear-down-all-agg-queues-when-restart-reconfig-hw.patch
watchdog-hpwdt-fix-lower-timeout-limit.patch
genirq-force-msi-irq-handlers-to-run-with-interrupts-disabled.patch
lis3-fix-show-rate-for-8-bits-chips.patch
pata_ali-fix-regression-with-old-devices.patch
hid-fix-oops-in-gyration_event.patch
alsa-mixart-range-checking-proc-file.patch
backlight-mbp_nvidia_bl-add-five-more-macbook-variants.patch
ext3-don-t-update-the-superblock-in-ext3_statfs.patch
ext3-journal-all-modifications-in-ext3_xattr_set_handle.patch
thinkpad-acpi-fix-some-version-quirks.patch
thinkpad-acpi-issue-backlight-class-events.patch
thinkpad-acpi-silence-bogus-complain-during-rmmod.patch
thinkpad-acpi-adopt-input-device.patch
thinkpad-acpi-expose-module-parameters.patch
thinkpad-acpi-log-temperatures-on-termal-alarm-v2.patch
thinkpad-acpi-use-input_set_capability.patch
thinkpad-acpi-sync-input-device-ev_sw-initial-state.patch
thinkpad-acpi-log-initial-state-of-rfkill-switches.patch
thinkpad-acpi-convert-to-seq_file.patch
thinkpad-acpi-lock-down-video-output-state-access.patch
eeepc-laptop-disable-cpu-speed-control-on-eeepc-701.patch
eeepc-laptop-dmi-blacklist-to-disable-pci-hotplug-code.patch
eeepc-laptop-add-hotplug_disable-parameter.patch
eeepc-laptop-disable-wireless-hotplug-for-1201n.patch
eeepc-laptop-disable-wireless-hotplug-for-1005pe.patch
libata-disable-ncq-on-crucial-c300-ssd.patch
alsa-usb-fix-oops-after-usb-midi-disconnection.patch
hwmon-sht15-fix-sht15_calc_temp-interpolation-function.patch
hwmon-sht15-properly-handle-the-case-config_regulator-n.patch
drm-i915-add-no_lvds-entry-for-the-clientron-u800.patch
drm-radeon-kms-add-firemv-2400-pci-id.patch
x86-amd-iommu-use-helper-function-to-destroy-domain.patch
x86-amd-iommu-enable-iommu-before-attaching-devices.patch
intel-agp-switch-to-wbinvd_on_all_cpus.patch
fix-nfs4-handling-of-mountpoint-stat.patch
quota-fix-possible-dq_flags-corruption.patch
staging-comedi-fix-usbdux-timeout-bug.patch
staging-comedi-usbdux.c-fix-locking-up-of-the-driver-when-the-comedi-ringbuffer-runs-empty.patch
ocfs2-set-i_mode-on-disk-during-acl-operations.patch
ocfs2-change-bg_chain-check-for-ocfs2_validate_gd_parent.patch
9p-skip-check-for-mandatory-locks-when-unlocking.patch
scsi-add-scsi-target-reset-support-to-scsi-ioctl.patch
pcie-aer-prevent-aer-injection-if-hardware-masks-error-reporting.patch
pci-fix-nested-spinlock-hang-in-aer_inject.patch
agp-hp-fixup-hp-agp-after-acpi-changes.patch
ecryptfs-fix-use-with-tmpfs-by-removing-d_drop-from-ecryptfs_destroy_inode.patch
ecryptfs-decrypt-symlink-target-for-stat-size.patch
ecryptfs-fix-error-code-for-missing-xattrs-in-lower-fs.patch
sched-fix-a-race-between-ttwu-and-migrate_task.patch
usb-cdc-acm-update-to-new-autopm-api.patch
usb-cdc-acm-fix-stupid-null-pointer-in-resume.patch
e1000e-stop-cleaning-when-we-reach-tx_ring-next_to_use.patch
acpi-ec-allow-multibyte-access-to-ec.patch
acpi-ec-limit-burst-to-64-bits.patch
input-wacom-switch-mode-upon-system-resume.patch
modules-fix-incorrect-percpu-usage.patch
lockdep-fix-incorrect-percpu-usage.patch
module-fix-__module_ref_addr.patch
tpm-autoload-tpm_tis-based-on-system-pnp-ids.patch
0004-KVM-allow-bit-10-to-be-cleared-in-MSR_IA32_MC4_CTL.patch
0009-KVM-x86-Fix-TSS-size-check-for-16-bit-tasks.patch
x86-gart-disable-gart-explicitly-before-initialization.patch
r8169-clean-up-my-printk-uglyness.patch

2.6.32.13
usb-ehci-defer-reclamation-of-sitds.patch
p54usb-add-usbid-for-corega-cg-wlusb2gt.patch
libata-fix-locking-around-blk_abort_request.patch
w1-w1-temp-fix-negative-termperature-calculation.patch
mac80211-remove-bogus-tx-agg-state-assignment.patch
flex_array-fix-the-panic-when-calling-flex_array_alloc-without-__gfp_zero.patch
hugetlb-fix-infinite-loop-in-get_futex_key-when-backed-by-huge-pages.patch
reiserfs-fix-permissions-on-.reiserfs_priv.patch
reiserfs-fix-corruption-during-shrinking-of-xattrs.patch
staging-usbip-fix-deadlock.patch
usb-fix-remote-wakeup-settings-during-system-sleep.patch
usb-add-id-for-hp-ev2210-a.k.a-sierra-mc5725-minipci-e-cell-modem.patch
usb-fix-testing-the-wrong-variable-in-fs_create_by_name.patch
usb-don-t-choose-configs-with-no-interfaces.patch
usb-ohci-don-t-look-at-the-root-hub-to-get-the-number-of-ports.patch
usb-xhci-properly-set-the-mult-field-of-the-endpoint-context.patch
usb-xhci-properly-set-endpoint-context-fields-for-periodic-eps.patch
procfs-fix-tid-fdinfo.patch
ocfs2-update-vfs-inode-s-id-info-after-reflink.patch
ocfs2-potential-err_ptr-dereference-on-error-paths.patch
ocfs2-compute-metaecc-for-superblocks-during-online-resize.patch
ocfs2_dlmfs-fix-math-error-when-reading-lvb.patch
nfs-d_revalidate-is-too-trigger-happy-with-d_drop.patch
staging-hv-fix-a-bug-affecting-ipv6.patch
staging-hv-fix-up-memory-leak-on-hvcleanup.patch
staging-hv-name-network-device-ethx-rather-than-sethx.patch
i2c-fix-probing-of-fsc-hardware-monitoring-chips.patch
raid6-fix-recovery-performance-regression.patch
serial-8250_pnp-add-fujitsu-wacom-device.patch
block-ensure-jiffies-wrap-is-handled-correctly-in-blk_rq_timed_out_timer.patch
dm9601-fix-phy-eeprom-write-routine.patch
p54pci-fix-bugs-in-p54p_check_tx_ring.patch
edac-mce-fix-wrong-mask-and-macro-usage.patch
x86-64-clear-a-64-bit-fs-gs-base-on-fork-if-selector-is-nonzero.patch
x86-disable-large-pages-on-cpus-with-atom-erratum-aae44.patch
alsa-snd-meastro3-add-amp_gpio-quirk-for-compaq-evo-n600c.patch
alsa-snd-meastro3-ignore-spurious-hv-interrupts-during-suspend-resume.patch
initramfs-handle-unrecognised-decompressor-when-unpacking.patch
jfs-fix-diallocext-error-in-resizing-filesystem.patch
acpi-introduce-kernel-parameter-acpi_sleep-sci_force_enable.patch
p54pci-rx-frame-length-check.patch
kgdb-don-t-needlessly-skip-page_user-test-for-fsl-booke.patch
r8169-use-correct-barrier-between-cacheable-and-non-cacheable-memory.patch
r8169-fix-broken-register-writes.patch
r8169-more-broken-register-writes-workaround.patch
parisc-set-pci-cls-early-in-boot.patch
security-testing-the-wrong-variable-in-create_by_name.patch
v4l-dvb-budget-oops-bug-unable-to-handle-kernel-null-pointer-dereference.patch
acpi-dmi-init_set_sci_en_on_resume-for-multiple-lenovo-thinkpads.patch
power_meter-acpi_device_class-power_meter_resource-too-long.patch
acpi-sleep-init_set_sci_en_on_resume-for-dell-studio-155x.patch
pxa-colibri-fix-missing-include-mach-mfp.h-in-colibri.h.patch
scsi-fix-locking-around-blk_abort_request.patch
scsi_debug-virtual_gb-ignores-sector_size.patch
enable-retries-for-syncronize_cache-commands-to-fix-i-o-error.patch
scsi-retry-commands-with-unit_attention-sense-codes-to-fix-ext3-ext4-i-o-error.patch
mips-sibyte-apply-m3-workaround-only-on-affected-chip-types-and-versions.patch

2.6.32.14
ipv4-udp-fix-short-packet-and-bad-checksum-logging.patch
hp_accel-fix-race-in-device-removal.patch
fbdev-bfin-t350mcqb-fb-fix-fbmem-allocation-with-blanking-lines.patch
hugetlbfs-kill-applications-that-use-map_noreserve-with-sigbus-instead-of-oom-killer.patch
dma-mapping-fix-dma_sync_single_range_.patch
mmc-atmel-mci-fix-two-parameters-swapped.patch
mmc-atmel-mci-prevent-kernel-oops-while-removing-card.patch
mmc-atmel-mci-remove-data-error-interrupt-after-xfer.patch
serial-imx.c-fix-cts-trigger-level-lower-to-avoid-lost-chars.patch
alsa-ice1724-fix-esi-maya44-capture-source-control.patch
inotify-don-t-leak-user-struct-on-inotify-release.patch
profile-fix-stats-and-data-leakage.patch
x86-k8-fix-build-error-when-k8_nb-is-disabled.patch
x86-cacheinfo-turn-off-l3-cache-index-disable-feature-in-virtualized-environments.patch
x86-amd-check-x86_feature_osvw-bit-before-accessing-osvw-msrs.patch
iwlwifi-clear-all-the-stop_queue-flag-after-load-firmware.patch
nilfs2-fix-sync-silent-failure.patch
crypto-authenc-add-einprogress-check.patch

2.6.32.16
oprofile-x86-fix-uninitialized-counter-usage-during-cpu-hotplug.patch
sata_nv-use-ata_pci_sff_activate_host-instead-of-ata_host_activate.patch
arcnet-limit-com20020-pci-id-matches-for-sohard-cards.patch
rtl8180-fix-tx-status-reporting.patch
staging-add-add-sitecom-wl-349-to-rtl8192su.patch
staging-vt6655-fix-kernel-bug-on-driver-wpa-initialization.patch
posix_timer-fix-error-path-in-timer_create.patch
libata-disable-atapi-an-by-default.patch
mutex-fix-optimistic-spinning-vs.-bkl.patch
alsa-hda-fix-model-quirk-for-dell-m1730.patch
alsa-hda-use-lpib-for-acer-aspire-5110.patch
acpi-video-fix-acpi_backlight-video.patch
v4l-dvb-gspca-stv06xx-remove-the-046d-08da-from-the-stv06xx-driver.patch
hid-add-the-gyr4101us-usb-id-to-hid-gyration.patch
ar9170usb-add-a-couple-more-usb-ids.patch
ar9170usb-fix-panic-triggered-by-undersized-rxstream-buffer.patch
usb-visor-fix-memory-leak.patch
usb-cp210x-new-device-ids-11-new-device-ids.patch
usb-kobil-fix-memory-leak.patch
usb-option-add-pid-for-zte-product.patch
usb-ir-usb-fix-double-free.patch
usb-kl5usb105-fix-memory-leak.patch
usb-mxc-gadget-fix-bitfield-for-calculating-maximum-packet-size.patch
usb-unusual-dev-add-bad-sense-flag-for-appotech-ax203-based-picture-frames.patch
usb-ehci-clear-phcd-before-resuming.patch
usb-xhci-fix-issue-with-set-interface-after-stall.patch
usb-xhci-fix-check-for-room-on-the-ring.patch
usb-xhci-fix-wrong-usage-of-macro-trb_type.patch
mac80211-give-warning-if-building-w-out-rate-ctrl-algorithm.patch
mac80211-fix-robust-management-frame-handling-mfp.patch
mac80211-fix-rts-threshold-check.patch
drm-i915-reject-bind_to_gtt-early-if-object-aperture.patch
drivers-base-cpu.c-fix-the-output-from-sys-devices-system-cpu-offline.patch
can-fix-sja1000-command-register-writes-on-smp-systems.patch
pci-disable-msi-for-mcp55-on-p5n32-e-sli.patch
virtio_net-make-delayed-refill-more-reliable.patch
powerpc-pseries-only-call-start-cpu-when-a-cpu-is-stopped.patch
powerpc-oprofile-fix-potential-buffer-overrun-in-op_model_cell.c.patch
md-raid1-fix-counting-of-write-targets.patch
md-fix-read-balancing-in-raid1-and-raid10-on-drives-2tb.patch
exofs-confusion-between-kmap-and-kmap_atomic-api.patch
mn10300-set-arch_kmalloc_minalign.patch
m68k-set-arch_kmalloc_minalign.patch
rtc-cmos-do-dev_set_drvdata-earlier-in-the-initialization.patch
rtc-s3c-initialize-driver-data-before-using-it.patch
frv-set-arch_kmalloc_minalign.patch
xtensa-set-arch_kmalloc_minalign.patch
blackfin-set-arch_kmalloc_minalign.patch
mlx4_core-fix-possible-chunk-sg-list-overflow-in-mlx4_alloc_icm.patch
arm-6166-1-proper-prefetch-abort-handling-on-pre-armv6.patch
arm-6164-1-add-kto-and-kfrom-to-input-operands-list.patch
arm-6146-1-sa1111-prevent-deadlock-in-resume-path.patch
arm-6144-1-tcm-memory-bug-freeing-bug.patch
arm-vfp-fix-vfp_put_double-for-d16-d31.patch
asoc-fix-db-scales-for-wm835x.patch
asoc-fix-db-scales-for-wm8400.patch
asoc-fix-db-scales-for-wm8990.patch
drm-radeon-r100-r200-ums-block-ability-for-userspace-app-to-trash-0-page-and-beyond.patch
drm-radeon-fix-the-r100-r200-ums-block-0-page-fix.patch
hwmon-ltc4245-read-only-one-gpio-pin.patch
ipmi-handle-run_to_completion-properly-in-deliver_recv_msg.patch
x86-setup-phoenix-bios-fixup-is-needed-on-dell-inspiron-mini-1012.patch
xen-ensure-timer-tick-is-resumed-even-on-cpu-driving-the-resume.patch
xen-avoid-allocation-causing-potential-swap-activity-on-the-resume-path.patch
alsa-hda-use-mb31-quirk-for-an-imac-model.patch
alsa-hda-use-lpib-for-another-mainboard.patch
staging-comedi-correct-parameter-gainlkup-for-daqcard-6024e-in-driver-ni_mio_cs.c.patch
clocksource-sh_cmt-compute-mult-and-shift-before-registration.patch
ath5k-retain-promiscuous-setting.patch
ahci-add-pci-quirk-for-jmb362.patch
firewire-core-check-for-1394a-compliant-irm-fix-inaccessibility-of-sony-camcorder.patch
sata_nv-don-t-diddle-with-nien-on-mcp55.patch
sata_via-magic-vt6421-fix-for-transmission-problems-w-wd-drives.patch
drm-i915-rebind-bo-if-currently-bound-with-incorrect-alignment.patch
usb-mos7840-fix-null-pointer-dereference.patch
usb-xhci-wait-for-host-to-start-running.patch
usb-xhci-wait-for-controller-to-be-ready-after-reset.patch
usb-ftdi_sio-fix-dtr-rts-line-modes.patch
usb-cdc-acm-fix-resource-reclaim-in-error-path-of-acm_probe.patch
p54usb-add-device-id-for-dell-wla3310-usb.patch
atl1e-allow-tx-checksum-offload-and-tso-to-be-disabled-and-reenabled.patch
via-velocity-give-rx-descriptors-to-the-nic-later-on-open-or-mtu-change.patch
dmfe-tulip-let-dmfe-handle-dm910x-except-for-sparc-on-board-chips.patch
documentation-3c509-document-ethtool-support.patch
wireless-report-reasonable-bitrate-for-mcs-rates-through-wext.patch
ath9k-add-support-for-802.11n-bonded-out-ar2427.patch
wrong-type-for-magic-argument-in-simple_fill_super.patch
wl1251-fix-a-memory-leak-in-probe.patch
l2tp-fix-oops-in-pppol2tp_xmit.patch
btrfs-should-add-a-permission-check-for-setfacl.patch
ucc_geth-fix-empty-tx-queue-processing.patch
ucc_geth-fix-netdev-watchdog-triggering-on-link-changes.patch
ucc_geth-fix-full-tx-queue-processing.patch
tipc-fix-oops-on-send-prior-to-entering-networked-mode-v3.patch
input-psmouse-reset-all-types-of-mice-before-reconnecting.patch
0001-KVM-s390-Fix-possible-memory-leak-of-in-kvm_arch_vcp.patch
0002-KVM-PPC-Do-not-create-debugfs-if-fail-to-create-vcpu.patch
0004-KVM-Don-t-allow-lmsw-to-clear-cr0.pe.patch
0005-KVM-x86-Check-LMA-bit-before-set_efer.patch
0006-KVM-MMU-Segregate-shadow-pages-with-different-cr0.wp.patch
0007-KVM-VMX-enable-VMXON-check-with-SMX-enabled-Intel-TX.patch
0008-KVM-MMU-Don-t-read-pdptrs-with-mmu-spinlock-held-in-.patch
0010-KVM-x86-Add-missing-locking-to-arch-specific-vcpu-io.patch
0011-KVM-x86-Inject-GP-with-the-right-rip-on-efer-writes.patch
parisc-clear-floating-point-exception-flag-on-sigfpe-signal.patch
sctp-fix-append-error-cause-to-error-chunk-correctly.patch
Comment 4 Michał Piotrowski 2010-07-11 20:54:59 EDT
BTW. I checked this for 2.6.32-44
Comment 5 RHEL Product and Program Management 2010-07-15 10:35:27 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Michał Piotrowski 2010-08-18 08:25:19 EDT
I think you should consider the inclusion of this patch

http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.19/mm-fix-corruption-of-hibernation-caused-by-reusing-swap-during-image-saving.patch;h=f66c5cfc70fd3aae22043b69ab3811fc7d99b586;hb=HEAD

I do not quite understand your policy on kernel patches. Why do not you use -stable patches like http://www.kernel.org/pub/linux/kernel/v2.6/patch-2.6.32.19.bz2 ???
Comment 7 Michał Piotrowski 2010-08-18 08:27:21 EDT
BTW. I checked this on kernel-2.6.32-65.el6
Comment 8 Stanislaw Gruszka 2010-09-13 09:42:22 EDT
Hi Michał 

(In reply to comment #0)
> Patches included in the -stable tree should also be included in RHEL kernel.

I agree with that opinion, but some others in RH including kernel managers do not. We will not pick up -stable fixes anymore. Thank you for reporting and interest.
Comment 9 Stanislaw Gruszka 2010-09-13 10:10:25 EDT
(In reply to comment #6)
> I think you should consider the inclusion of this patch
> 
> http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git;a=blob;f=releases/2.6.32.19/mm-fix-corruption-of-hibernation-caused-by-reusing-swap-during-image-saving.patch;h=f66c5cfc70fd3aae22043b69ab3811fc7d99b586;hb=HEAD

I will open a separate bug report for it. 
 
> I do not quite understand your policy on kernel patches. Why do not you use
> -stable patches like
> http://www.kernel.org/pub/linux/kernel/v2.6/patch-2.6.32.19.bz2 ???

We did not take all patches, because don't want to make immersion we support things that we do not support like arm arch, reiserFS, etc.
Comment 10 Michał Piotrowski 2010-09-13 11:00:29 EDT
(In reply to comment #9)
> We did not take all patches, because don't want to make immersion we support
> things that we do not support like arm arch, reiserFS, etc.

Ok, I understand what the point, but still a lot of patches should be included in RHEL kernel.

Regards,
M
Comment 11 Frank Ch. Eigler 2010-09-20 20:18:51 EDT
I believe the intent is to avoid en-masse patches on an already tested
kernel so late in the release cycle.  Individual bugs may be nominated
of course, whether for RHEL6.0 or a later update.  They will be considered
based upon impact, risk, etc..
Comment 12 Jan Engelhardt 2010-09-21 05:36:59 EDT
If you want a kernel based on -stable, you will need to consider a different enterprise linux offering.

Note You need to log in before you can comment on or make changes to this bug.